Name:           astroid
Version:        0.14
Release:        1%{?dist}
Summary:        A graphical threads-with-tags style fast email client for notmuch

License:        GPLv3+ and LGPLv2+
URL:            http://astroidmail.github.io
Source0:        https://github.com/astroidmail/%{name}/archive/v%{version}/astroid-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  scdoc
BuildRequires:  ninja-build
BuildRequires:  notmuch-devel
BuildRequires:  boost-devel
BuildRequires:  glibmm24-devel
BuildRequires:  webkitgtk4-devel
BuildRequires:  libsass-devel
BuildRequires:  gmime30-devel
BuildRequires:  gtkmm30-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libpeas-devel
BuildRequires:  vte291-devel
BuildRequires:  gcc-c++
BuildRequires:  protobuf-devel

Requires:       notmuch
Requires:       boost
Requires:       glibmm24
Requires:       webkitgtk4
Requires:       gmime30
Requires:       gtkmm30
Requires:       gobject-introspection
Requires:       protobuf
Requires:       vte291

Requires:       hicolor-icon-theme

%description
Astroid is a lightweight and fast Mail User Agent that provides a graphical
interface to searching, display and composing email, organized in thread and
tags. Astroid uses the notmuch backend for blazingly fast searches through
tons of email. Astroid searches, displays and composes emails - and rely on
other programs for fetching, syncing and sending email.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake . -Bbuild -GNinja -DCMAKE_BUILD_TYPE=Release
%ninja_build -C build 

%install
%ninja_install -C build 
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/astroid
%{_usr}/lib/astroid
%{_datadir}/astroid/
%{_datadir}/icons/hicolor/512x512/apps/astroid.png
%{_datadir}/icons/hicolor/scalable/apps/astroid.svg
%{_datadir}/applications/astroid.desktop
%{_libdir}/girepository-1.0/Astroid-0.2.typelib
%{_datadir}/gir-1.0/Astroid-0.2.gir
%{_mandir}/man1/astroid.1*
%license LICENSE.md
%doc README.md

%changelog
* Fri Aug 24 2018 Tristan Cacqueray <tdecacqu@redhat.com> - 0.13-1
- Initial packaging

